Package org.apache.commons.codec.language.bm

# Class Rule.PhonemeList

java.lang.Object
org.apache.commons.codec.language.bm.Rule.PhonemeList

All Implemented Interfaces:
  `Rule.PhonemeExpr`

Enclosing class:
  `Rule`

public static final class Rule.PhonemeList extends Object implements Rule.PhonemeExpr
A list of phonemes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhonemeList(List<Rule.Phoneme> phonemes)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Rule.Phoneme>`
  `getPhonemes()`
  Gets an iteration of phonemes.
  `int`
  `size()`
  Gets the expression size in phonemes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhonemeList

    public PhonemeList(List<Rule.Phoneme> phonemes)
    Constructs a new instance.
    Parameters:
      `phonemes` - the phoneme list.

- ## Method Details

  - ### getPhonemes

    public List<Rule.Phoneme> getPhonemes()
    Description copied from interface: `Rule.PhonemeExpr`
    Gets an iteration of phonemes.
    Specified by:
      `getPhonemes` in interface `Rule.PhonemeExpr`
    Returns:
      an iteration of phonemes.

  - ### size

    public int size()
    Description copied from interface: `Rule.PhonemeExpr`
    Gets the expression size in phonemes.
    Specified by:
      `size` in interface `Rule.PhonemeExpr`
    Returns:
      the expression size in phonemes.